VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "FractalMap"
   ClientHeight    =   9240
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8370
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   9240
   ScaleWidth      =   8370
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame frFrame 
      Height          =   9015
      Left            =   0
      TabIndex        =   0
      Top             =   -45
      Width           =   8325
      Begin VB.TextBox txtIter 
         Height          =   285
         Left            =   3675
         TabIndex        =   14
         Text            =   "2000"
         Top             =   675
         Width           =   945
      End
      Begin VB.TextBox txtHeight 
         Height          =   285
         Left            =   6135
         TabIndex        =   12
         Text            =   "20"
         Top             =   345
         Width           =   1200
      End
      Begin VB.TextBox txtSize 
         Height          =   285
         Left            =   4005
         TabIndex        =   10
         Text            =   "400"
         Top             =   345
         Width           =   900
      End
      Begin VB.CommandButton cmdCLS 
         Caption         =   "Clear"
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   9.75
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   555
         Left            =   1110
         TabIndex        =   6
         Top             =   555
         Width           =   1005
      End
      Begin VB.ComboBox cmbPalette 
         Height          =   315
         Left            =   660
         TabIndex        =   5
         Top             =   165
         Width           =   2250
      End
      Begin VB.PictureBox picPallette 
         Appearance      =   0  'Flat
         BackColor       =   &H80000005&
         ForeColor       =   &H80000008&
         Height          =   135
         Left            =   2970
         ScaleHeight     =   7
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   254
         TabIndex        =   4
         Top             =   180
         Width           =   3840
      End
      Begin VB.FileListBox fileBox 
         Height          =   285
         Left            =   2595
         Pattern         =   "*.bmp"
         TabIndex        =   3
         Top             =   180
         Visible         =   0   'False
         Width           =   630
      End
      Begin VB.CommandButton Command1 
         Caption         =   "Run"
         BeginProperty Font 
            Name            =   "Verdana"
            Size            =   9.75
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   555
         Left            =   75
         TabIndex        =   2
         Top             =   555
         Width           =   1005
      End
      Begin VB.PictureBox Picture2 
         Appearance      =   0  'Flat
         BackColor       =   &H80000008&
         ForeColor       =   &H80000008&
         Height          =   7740
         Left            =   60
         ScaleHeight     =   514
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   540
         TabIndex        =   1
         Top             =   1185
         Width           =   8130
      End
      Begin VB.Label lngIterations 
         Caption         =   "Iterations:"
         Height          =   210
         Left            =   2955
         TabIndex        =   13
         Top             =   720
         Width           =   780
      End
      Begin VB.Label lblHeight 
         Caption         =   "Height (max 30):"
         Height          =   300
         Left            =   4965
         TabIndex        =   11
         Top             =   375
         Width           =   1200
      End
      Begin VB.Label lblSize 
         Caption         =   "Size (max 600)"
         Height          =   240
         Left            =   2940
         TabIndex        =   9
         Top             =   375
         Width           =   1110
      End
      Begin VB.Label lblInfo 
         Caption         =   "Press Run multiple times with varying palettes/height to create nice results!"
         Height          =   255
         Left            =   2160
         TabIndex        =   8
         Top             =   945
         Width           =   5715
      End
      Begin VB.Label lblPalette 
         Caption         =   "Palette:"
         Height          =   255
         Left            =   75
         TabIndex        =   7
         Top             =   210
         Width           =   1080
      End
   End
   Begin VB.Label lblAuthor 
      Caption         =   "Made by Almar Joling - www.persistentrealities.com - For more interesting source code!"
      Height          =   195
      Left            =   0
      TabIndex        =   15
      Top             =   9000
      Width           =   6750
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub cmbPalette_Click()
    picPallette.Picture = LoadPicture(App.Path & "\palettes\" & cmbPalette.Text)
End Sub

Private Sub cmdCLS_Click()
    Picture2.Cls
End Sub

Private Sub Command1_Click()
'    Static intangle As Single
'    Me.Caption = "FractalGen - Generating..."
'    Call mdlAlgo1.FractalGen(, 128, 128, 1000)
'    Me.Caption = "FractalGen"
'
'    Do
'        intangle = intangle + 1
'        If intangle > 360 Then intangle = 0
'        Call mdlPointers.MakeGlobal(intangle, 128, 128)
'    DoEvents
'    Loop

'    mdlAlgorithms.m_bIsland = True
'    mdlAlgorithms.m_fHillMax = 255
'    mdlAlgorithms.m_fHillMin = 10
    Dim I As Long
    
    For I = 0 To 256
        myPallette(I) = GetPixel(picPallette.hdc, I, 1)
    Next I
    

    
     mdlAlgorithms.m_uSize = txtSize.Text
     mdlAlgorithms.m_fHillMin = txtHeight.Text
     mdlAlgorithms.m_fHillMax = 110
     mdlAlgorithms.m_bIsland = True
    'mdlAlgorithms.m_uSize = 128
    mdlAlgorithms.Generate txtIter.Text
End Sub

Private Sub Form_Load()
    '//hmm, pretty bad :) Using a file listbox. But I had to finish this quickly
    '//It has *.bmp as filter
    fileBox.Path = App.Path & "\palettes"
    Dim I As Long
    
    '//Add palette pictures
    For I = 0 To fileBox.ListCount - 1
        cmbPalette.AddItem fileBox.List(I)
    Next I
    
    If cmbPalette.ListCount > 0 Then
        cmbPalette.ListIndex = 0
        cmbPalette_Click
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    End
End Sub

